Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Token Management

Notify Token Creation

post

Notify the token requestor about a token creation.

The notification shares the same 'x-correlation-id' as in the create token request.

If the tokenization failed, the notification only contains information about the error. No token data is provided.

In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

Autorizaciones
AuthorizationstringRequerido
Parámetros de encabezado
authorizationanyRequerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idanyRequerido

A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.

Cuerpo
tokenIdstring · mín: 1 · máx: 128Opcional

The token identifier.

merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

cardBinstring · mín: 6 · máx: 8Opcional

The card bin returned by the scheme, just available for VISA and Mastercard SCOF.

Example: 453421
cardLastDigitsstring · máx: 5Opcional

The card last digits.

Example: 2366
cardExpiryDatestring · máx: 4Opcional

The card expiry date in format MMYY.

Example: 0420
tokenLastDigitsstring · máx: 5Opcional

The token last digits.

Example: 5589
tokenExpiryDatestring · máx: 4Opcional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.Rely on token expiry date in create transaction response for storage.

Example: 1022
parstring · máx: 29Opcional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
vProvisionedTokenIdstring · mín: 1 · máx: 36Opcional

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

creationTimestampstring · máx: 64Opcional

Token or binding creation timestamp compliant with ISO 8601.

Example: 2017-11-10T09:08:24.479Z
Respuestas
post
/notify-token-creation

Sin contenido

Notify Token Update

post

Notify the token requestor about a network token update.

In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

In case of error and retry, all the notifications regarding a token may not be sent in correct order. The parameter 'lastUpdateTimestamp' shall be used to discard obsolete notifications.

Most of the time, the TMG sends all the information it has for the token. But there are some edge error cases for which only the 'tokenId' and the 'tokenState' are sent.

Autorizaciones
AuthorizationstringRequerido
Parámetros de encabezado
authorizationanyRequerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idanyRequerido

A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.

Cuerpo
tokenIdstring · mín: 1 · máx: 128Requerido

The token identifier.

merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

tokenStatestring · enum · máx: 64Opcional

Token state.PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEValores posibles:
cardBinstring · mín: 6 · máx: 8Opcional

The card bin returned by the scheme, just available for VISA and Mastercard SCOF.

Example: 453421
cardLastDigitsstring · máx: 5Opcional

The card last digits.

Example: 2366
cardExpiryDatestring · máx: 4Opcional

The card expiry date in format MMYY.

Example: 0420
tokenLastDigitsstring · máx: 5Opcional

The token last digits.

Example: 5589
tokenExpiryDatestring · máx: 4Opcional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.Rely on token expiry date in create transaction response for storage.

Example: 1022
parstring · máx: 29Opcional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
vProvisionedTokenIdstring · mín: 1 · máx: 36Opcional

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

deviceBindingsstring[]Opcional

The list of device identifiers bound to the token as per Visa Cloud Token Framework.

discardCryptogrambooleanOpcional

If present and set to 'true', all pre-fetched cryptograms linked to the token shall be discarded as they are no more valid due to the token update.

Default: false
creationTimestampstring · máx: 64Opcional

Token or binding creation timestamp compliant with ISO 8601.

Example: 2017-11-10T09:08:24.479Z
lastUpdateTimestampstring · máx: 64Opcional

Token or binding last update timestamp compliant with ISO 8601.

Example: 2017-11-13T11:012:41.165Z
Respuestas
post
/notify-token-update

Sin contenido

Última actualización

¿Te fue útil?